Subject: Re: bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Michael Heerdegen <[email-masked]>
Date: Mon, 14 Feb 2022 02:13:58 +0100

Juri Linkov <[email-masked]> writes:

> After a short delay, this has been implemented now:

Thanks.  I quickly tested your patch, and it seems to work well so far
(except for the ^ thing fo course).  Also highlighting worked.  Anything
particular I should keep my eye on?

I only noticed that if we keep the patch, the docstrings of the touched
functions seem to need and update.

>  (defun wdired-change-to-wdired-mode ()
> @@ -238,8 +239,9 @@ wdired-change-to-wdired-mode
>    (setq-local wdired--old-point (point))
>    (wdired--set-permission-bounds)
>    (setq-local query-replace-skip-read-only t)
> -  (add-function :after-while (local 'isearch-filter-predicate)
> -                #'wdired-isearch-filter-read-only)
> +  (add-function :around (local 'isearch-search-fun-function)
> +                #'dired-isearch-search-filenames)
> +  (setq-local replace-re-search-function #'dired-isearch-search-filenames)

And: Is it intended that this is unconditional (I would expect a
`dired-isearch-filenames-mode' test)?

Thanks,

Michael.